> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hellopay.com.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get BreB key details

> Get BreB key details by key string



## OpenAPI

````yaml /openapi.yaml get /breb/keys/{keyString}
openapi: 3.0.0
info:
  title: HelloPay API
  description: HelloPay Backend API Documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /breb/keys/{keyString}:
    get:
      tags:
        - Breb
      summary: Get BreB key details
      description: Get BreB key details by key string
      operationId: BrebController_getKeyDetails
      parameters:
        - name: keyString
          required: true
          in: path
          description: The key string of the BreB key
          schema:
            type: string
      responses:
        '200':
          description: BreB key details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KeyDetailsDto'
        '404':
          description: BreB key not found
components:
  schemas:
    KeyDetailsDto:
      type: object
      properties:
        details:
          description: The details of the BreB key
          allOf:
            - $ref: '#/components/schemas/KeyDetails'
      required:
        - details
    KeyDetails:
      type: object
      properties:
        name:
          type: string
          description: The name of the BreB key
          example: John Doe
        documentType:
          type: string
          description: The document type of the BreB key
          example: CC
        documentNumber:
          type: string
          description: The document number of the BreB key
          example: '1234567890'
        bankAccountNumber:
          type: string
          description: The bank account number of the BreB key
          example: '1234567890'
        keyString:
          type: string
          description: The key string of the BreB key
          example: '3135556666'
        keyType:
          type: string
          description: The key type of the BreB key
          example: PHONE
        bankName:
          type: string
          description: The bank name of the BreB key
          example: Bancolombia
      required:
        - name
        - documentType
        - documentNumber
        - bankAccountNumber
        - keyString
        - keyType
        - bankName

````